# QRegion Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QRegion()
- void QRegion(QBitmap bitmap)
- void QRegion(QPolygon pa, FillRule fillRule)
- void QRegion(QRect r, RegionType t)
- void QRegion(QRegion region)
- void QRegion(int x, int y, int w, int h, RegionType t)

### Constructor Properties

- prototype: The QRegion prototype object
- Rectangle
- Ellipse
- RegionType( value )

### Prototype Object Properties

- QRect boundingRect()
- bool contains(QPoint p)
- QRegion intersect(QRect r)
- QRegion intersected(QRect r)
- bool intersects(QRect r)
- bool isEmpty()
- int numRects()
- QRegion operator_add(QRect r)
- QRegion operator_and(QRect r)
- bool operator_equal(QRegion r)
- void readFrom(QDataStream arg__1)
- int rectCount()
- List rects()
- void setRects(QRect rect, int num)
- QRegion subtracted(QRegion r)
- void swap(QRegion other)
- void translate(QPoint p)
- QRegion translated(QPoint p)
- QRegion unite(QRect r)
- QRegion united(QRect r)
- void writeTo(QDataStream arg__1)
- QRegion xored(QRegion r)

### Instance Properties

QRegion objects have no special properties beyond those inherited from the QRegion prototype object.